### thread_pool::executor_type

Executor used to submit functions to a thread pool.

    class executor_type

##### Member Functions

Name | Description
--- | ---
context | Obtain the underlying execution context.
defer | Request the thread pool to invoke the given function object.
dispatch | Request the thread pool to invoke the given function object.
on_work_finished | Inform the thread pool that some work is no longer outstanding.
on_work_started | Inform the thread pool that it has some outstanding work to do.
post | Request the thread pool to invoke the given function object.
running_in_this_thread | Determine whether the thread pool is running in the current thread.

##### Friends

Name | Description
--- | ---
operator!= | Compare two executors for inequality.
operator== | Compare two executors for equality.

##### Requirements

Header: `asio/thread_pool.hpp`

Convenience header: `asio.hpp`